Status: Resolved Priority: Should have
Author: Alexander Schnitzler Category: Validation
Created: 2012-10-29 Assigned To: Alexander Schnitzler
Updated: 2012-12-12 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Subject: NotEmpty Validator does not work with arrays
Description

Forard-port this patch: https://review.typo3.org/#/c/14707/

Associated revisions
Revision d2289333 - 2012-12-11 10:20 - Alexander Schnitzler 

[FEATURE] Add array and object support for NotEmptyValidator

This patch resolves the problem that empty arrays are not correctly
validated when using the NotEmpty validation annotation. Arrays
and Countables that are empty will now trigger an error.

Follow-up patch to https://review.typo3.org/14707

Change-Id: Ia2e2b19cff91d1ecef857b841e2b660853b39023
Resolves: #42467
Releases: 1.2

History
#1 - 2012-11-29 13:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16852

#2 - 2012-11-29 19:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16852

#3 - 2012-12-12 08:32 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
